<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__result_8h" kind="file" language="C++">
    <compoundname>cy_result.h</compoundname>
    <includes local="no">stdint.h</includes>
    <incdepgraph>
      <node id="0">
        <label>cy_result.h</label>
        <link refid="cy__result_8h" />
        <childnode refid="1" relation="include">
        </childnode>
      </node>
      <node id="1">
        <label>stdint.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="user-defined">
      <header>Fields</header>
      <description><para>Utility macros for constructing result values and extracting individual fields from existing results. </para></description>
      <memberdef id="group__group__result_1ga9ae9b152a38632a9e0f8620845c6cea9" kind="define" prot="public" static="no">
        <name>CY_RSLT_GET_TYPE</name>
        <param><defname>x</defname></param>
        <initializer>(((x) &gt;&gt; CY_RSLT_TYPE_POSITION) &amp; CY_RSLT_TYPE_MASK)</initializer>
        <briefdescription>
<para>Get the value of the result type field. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>x</parametername>
</parameternamelist>
<parameterdescription>
<para>the <ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref> value from which to extract the result type </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="106" column="9" file="output/libs/core-lib/include/cy_result.h" line="106" />
      </memberdef>
      <memberdef id="group__group__result_1gab959fc67da8489c03d3ab631442393b4" kind="define" prot="public" static="no">
        <name>CY_RSLT_GET_MODULE</name>
        <param><defname>x</defname></param>
        <initializer>(((x) &gt;&gt; CY_RSLT_MODULE_POSITION) &amp; CY_RSLT_MODULE_MASK)</initializer>
        <briefdescription>
<para>Get the value of the module identifier field. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>x</parametername>
</parameternamelist>
<parameterdescription>
<para>the <ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref> value from which to extract the module id </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="111" column="9" file="output/libs/core-lib/include/cy_result.h" line="111" />
      </memberdef>
      <memberdef id="group__group__result_1ga5a7fc037210b7ff81c65160e11823443" kind="define" prot="public" static="no">
        <name>CY_RSLT_GET_CODE</name>
        <param><defname>x</defname></param>
        <initializer>(((x) &gt;&gt; CY_RSLT_CODE_POSITION) &amp; CY_RSLT_CODE_MASK)</initializer>
        <briefdescription>
<para>Get the value of the result code field. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>x</parametername>
</parameternamelist>
<parameterdescription>
<para>the <ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref> value from which to extract the result code </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="116" column="9" file="output/libs/core-lib/include/cy_result.h" line="116" />
      </memberdef>
      <memberdef id="group__group__result_1ga711a53e03635b4f3e21c41aaf9459251" kind="define" prot="public" static="no">
        <name>CY_RSLT_CREATE</name>
        <param><defname>type</defname></param>
        <param><defname>module</defname></param>
        <param><defname>code</defname></param>
        <initializer>((((module) &amp; CY_RSLT_MODULE_MASK) &lt;&lt; CY_RSLT_MODULE_POSITION) | \
    (((code) &amp; CY_RSLT_CODE_MASK) &lt;&lt; CY_RSLT_CODE_POSITION) | \
    (((type) &amp; CY_RSLT_TYPE_MASK) &lt;&lt; CY_RSLT_TYPE_POSITION))</initializer>
        <briefdescription>
<para>Create a new <ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref> value that encodes the specified type, module, and result code. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>type</parametername>
</parameternamelist>
<parameterdescription>
<para>one of <ref kindref="member" refid="group__group__result_1ga611032ac7ceaccf05943b73868e13438">CY_RSLT_TYPE_INFO</ref>, <ref kindref="member" refid="group__group__result_1ga5aa8f2db241158e42052d8940045d2a0">CY_RSLT_TYPE_WARNING</ref>, <ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__result_1ga2bc4a48af22980d72766f825eda62658">CY_RSLT_TYPE_FATAL</ref> </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>module</parametername>
</parameternamelist>
<parameterdescription>
<para>Identifies the module where this result originated; see <ref kindref="member" refid="group__group__result_1anchor_modules">Modules</ref>. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>code</parametername>
</parameternamelist>
<parameterdescription>
<para>a module-defined identifier to identify the specific situation that this result describes. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="126" column="9" file="output/libs/core-lib/include/cy_result.h" line="126" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <header>Result Types</header>
      <description><para>Defines codes to identify the type of result. </para></description>
      <memberdef id="group__group__result_1ga611032ac7ceaccf05943b73868e13438" kind="define" prot="public" static="no">
        <name>CY_RSLT_TYPE_INFO</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>The result code is informational-only. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="140" column="9" file="output/libs/core-lib/include/cy_result.h" line="140" />
      </memberdef>
      <memberdef id="group__group__result_1ga5aa8f2db241158e42052d8940045d2a0" kind="define" prot="public" static="no">
        <name>CY_RSLT_TYPE_WARNING</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>The result code is warning of a problem but will proceed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="142" column="9" file="output/libs/core-lib/include/cy_result.h" line="142" />
      </memberdef>
      <memberdef id="group__group__result_1ga8d656d344524464af71296f2140a7b37" kind="define" prot="public" static="no">
        <name>CY_RSLT_TYPE_ERROR</name>
        <initializer>(2U)</initializer>
        <briefdescription>
<para>The result code is an error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="144" column="9" file="output/libs/core-lib/include/cy_result.h" line="144" />
      </memberdef>
      <memberdef id="group__group__result_1ga2bc4a48af22980d72766f825eda62658" kind="define" prot="public" static="no">
        <name>CY_RSLT_TYPE_FATAL</name>
        <initializer>(3U)</initializer>
        <briefdescription>
<para>The result code is a fatal error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="146" column="9" file="output/libs/core-lib/include/cy_result.h" line="146" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="user-defined">
      <header>Modules</header>
      <description><para><anchor id="group__group__result_1anchor_modules" />Defines codes to identify the module from which an error originated. For some large libraries, a range of module codes is defined here; see the library documentation for values corresponding to individual modules. Valid range is 0x0000-0x4000. </para></description>
      <memberdef id="group__group__result_1gaf229ad57884c3c8e4c5ecc7f217ce8aa" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_DRIVERS_PDL_BASE</name>
        <initializer>(0x0000U)</initializer>
        <briefdescription>
<para>Base module identifier for peripheral driver library drivers (0x0000 - 0x007F) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="161" column="9" file="output/libs/core-lib/include/cy_result.h" line="161" />
      </memberdef>
      <memberdef id="group__group__result_1ga328dd4831cad3621a05e3fad151f9cd5" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_DRIVERS_WHD_BASE</name>
        <initializer>(0x0080U)</initializer>
        <briefdescription>
<para>Base module identifier for wireless host driver library modules (0x0080 - 0x00FF) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="163" column="9" file="output/libs/core-lib/include/cy_result.h" line="163" />
      </memberdef>
      <memberdef id="group__group__result_1gaba8505defe4e04a5927b6e0590e256f0" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_ABSTRACTION_HAL_BASE</name>
        <initializer>(0x0100U)</initializer>
        <briefdescription>
<para>Deprecated. </para>        </briefdescription>
        <detaileddescription>
<para>Use <ref kindref="member" refid="group__group__result_1gada155710418c5225c8ccaa8e75e9a577">CY_RSLT_MODULE_ABSTRACTION_HAL</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="166" column="9" file="output/libs/core-lib/include/cy_result.h" line="166" />
      </memberdef>
      <memberdef id="group__group__result_1gada155710418c5225c8ccaa8e75e9a577" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_ABSTRACTION_HAL</name>
        <initializer>(0x0100U)</initializer>
        <briefdescription>
<para>Module identifier for the Hardware Abstraction Layer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="168" column="9" file="output/libs/core-lib/include/cy_result.h" line="168" />
      </memberdef>
      <memberdef id="group__group__result_1ga4f6360a8bf5a570d6927d50123e95c1d" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_ABSTRACTION_BSP</name>
        <initializer>(0x0180U)</initializer>
        <briefdescription>
<para>Module identifier for board support package. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="170" column="9" file="output/libs/core-lib/include/cy_result.h" line="170" />
      </memberdef>
      <memberdef id="group__group__result_1ga9cde2c478cdd2b7f626bc45c2a4a0543" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_ABSTRACTION_FS</name>
        <initializer>(0x0181U)</initializer>
        <briefdescription>
<para>Module identifier for file system abstraction. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="172" column="9" file="output/libs/core-lib/include/cy_result.h" line="172" />
      </memberdef>
      <memberdef id="group__group__result_1gab757b71680be515dd43368895fa73b7d" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_ABSTRACTION_RESOURCE</name>
        <initializer>(0x0182U)</initializer>
        <briefdescription>
<para>Module identifier for resource abstraction. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="174" column="9" file="output/libs/core-lib/include/cy_result.h" line="174" />
      </memberdef>
      <memberdef id="group__group__result_1ga5a59f041b014217d0d699bc3b0ae3cca" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_ABSTRACTION_OS</name>
        <initializer>(0x0183U)</initializer>
        <briefdescription>
<para>Module identifier for rtos abstraction. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="176" column="9" file="output/libs/core-lib/include/cy_result.h" line="176" />
      </memberdef>
      <memberdef id="group__group__result_1gad1c76e11af277ca324da1c8516d7d31a" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_ABSTRACTION_ENV</name>
        <initializer>(0x0184U)</initializer>
        <briefdescription>
<para>Base identifier for environment abstraction modules (0x0184 - 0x01FF) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="178" column="9" file="output/libs/core-lib/include/cy_result.h" line="178" />
      </memberdef>
      <memberdef id="group__group__result_1ga809314d87ef1e8f175564e88ccef70a9" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_LIB_BASE</name>
        <initializer>(0x01A0U)</initializer>
        <briefdescription>
<para>Base module identifier for Board Libraries (0x01A0 - 0x01BF) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="181" column="9" file="output/libs/core-lib/include/cy_result.h" line="181" />
      </memberdef>
      <memberdef id="group__group__result_1ga2424e0be0c1e672c829fb3798720465f" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_LIB_RETARGET_IO</name>
        <initializer>(0x1A0U)</initializer>
        <briefdescription>
<para>Module identifier for the Retarget IO Board Library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="183" column="9" file="output/libs/core-lib/include/cy_result.h" line="183" />
      </memberdef>
      <memberdef id="group__group__result_1gaea80fb321cb0b3e298a3a2e90e445d3d" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_LIB_RGB_LED</name>
        <initializer>(0x01A1U)</initializer>
        <briefdescription>
<para>Module identifier for the RGB LED Board Library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="185" column="9" file="output/libs/core-lib/include/cy_result.h" line="185" />
      </memberdef>
      <memberdef id="group__group__result_1ga0ce9bf3fc06bf768cd32558b44aaaf0f" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_LIB_SERIAL_FLASH</name>
        <initializer>(0x01A2U)</initializer>
        <briefdescription>
<para>Module identifier for the Serial Flash Board Library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="187" column="9" file="output/libs/core-lib/include/cy_result.h" line="187" />
      </memberdef>
      <memberdef id="group__group__result_1ga927ff40c1f2cbe51a3c5c3f52c533e57" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_LIB_WHD_INTEGRATION</name>
        <initializer>(0x01A3U)</initializer>
        <briefdescription>
<para>Module identifier for the WiFi Host Driver + Board Support Integration Library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="189" column="9" file="output/libs/core-lib/include/cy_result.h" line="189" />
      </memberdef>
      <memberdef id="group__group__result_1ga76bcb30b36e7fea0c8165c55e561de73" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_SHIELD_BASE</name>
        <initializer>(0x01B8U)</initializer>
        <briefdescription>
<para>Base module identifier for Shield Board Libraries (0x01B8 - 0x01BF) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="192" column="9" file="output/libs/core-lib/include/cy_result.h" line="192" />
      </memberdef>
      <memberdef id="group__group__result_1gaa5b8e84947e9bf1a7fb5d8003ef276bf" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_SHIELD_028_EPD</name>
        <initializer>(0x01B8U)</initializer>
        <briefdescription>
<para>Module identifier for Shield Board CY8CKIT-028-EPD. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="194" column="9" file="output/libs/core-lib/include/cy_result.h" line="194" />
      </memberdef>
      <memberdef id="group__group__result_1ga40e8ea560bec96d98a8397308ce773cd" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_SHIELD_028_TFT</name>
        <initializer>(0x01B9U)</initializer>
        <briefdescription>
<para>Module identifier for Shield Board CY8CKIT-028-TFT. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="196" column="9" file="output/libs/core-lib/include/cy_result.h" line="196" />
      </memberdef>
      <memberdef id="group__group__result_1gad3e437a0d81d24329914409b890d05e9" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_SHIELD_032</name>
        <initializer>(0x01BAU)</initializer>
        <briefdescription>
<para>Module identifier for Shield Board CY8CKIT-032. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="198" column="9" file="output/libs/core-lib/include/cy_result.h" line="198" />
      </memberdef>
      <memberdef id="group__group__result_1ga57f83cdac42fe9fc2afbe82609a00d74" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_HARDWARE_BASE</name>
        <initializer>(0x01C0U)</initializer>
        <briefdescription>
<para>Base module identifier for Board Hardware Libraries (0x01C0 - 0x01FF) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="201" column="9" file="output/libs/core-lib/include/cy_result.h" line="201" />
      </memberdef>
      <memberdef id="group__group__result_1ga19d6abe548162ac238afbc69ace1a2d4" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_HARDWARE_BMI160</name>
        <initializer>(0x01C0U)</initializer>
        <briefdescription>
<para>Module identifier for the BMI160 Motion Sensor Library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="203" column="9" file="output/libs/core-lib/include/cy_result.h" line="203" />
      </memberdef>
      <memberdef id="group__group__result_1ga36f615a1ecf7bba46416720e0892c115" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_HARDWARE_E2271CS021</name>
        <initializer>(0x01C1U)</initializer>
        <briefdescription>
<para>Module identifier for the E2271CS021 E-Ink Controller Library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="205" column="9" file="output/libs/core-lib/include/cy_result.h" line="205" />
      </memberdef>
      <memberdef id="group__group__result_1ga052784c9e3c64b33e5d056aa1db57c59" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_HARDWARE_THERMISTOR</name>
        <initializer>(0x01C2U)</initializer>
        <briefdescription>
<para>Module identifier for the NTC GPIO Thermistor Library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="207" column="9" file="output/libs/core-lib/include/cy_result.h" line="207" />
      </memberdef>
      <memberdef id="group__group__result_1ga9c77295c2fb9f887a857b8b63810f18d" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_HARDWARE_SSD1306</name>
        <initializer>(0x01C3U)</initializer>
        <briefdescription>
<para>Module identifier for the SSD1306 OLED Controller Library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="209" column="9" file="output/libs/core-lib/include/cy_result.h" line="209" />
      </memberdef>
      <memberdef id="group__group__result_1ga646b094bb857dcf1bdf21448224f8b7a" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_HARDWARE_ST7789V</name>
        <initializer>(0x01C4U)</initializer>
        <briefdescription>
<para>Module identifier for the ST7789V TFT Controller Library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="211" column="9" file="output/libs/core-lib/include/cy_result.h" line="211" />
      </memberdef>
      <memberdef id="group__group__result_1ga929b1c06f7aa2a85ea6e3c317c3d5cf6" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_HARDWARE_LIGHT_SENSOR</name>
        <initializer>(0x01C5U)</initializer>
        <briefdescription>
<para>Module identifier for the Light Sensor Library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="213" column="9" file="output/libs/core-lib/include/cy_result.h" line="213" />
      </memberdef>
      <memberdef id="group__group__result_1ga3cb51b341c4dac2984d76e0ab00056bb" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_BOARD_HARDWARE_AK4954A</name>
        <initializer>(0x01C6U)</initializer>
        <briefdescription>
<para>Module identifier for the AK4954A Audio Codec Library. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="215" column="9" file="output/libs/core-lib/include/cy_result.h" line="215" />
      </memberdef>
      <memberdef id="group__group__result_1ga2db34d05e5194f919d6cc45957dc5047" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_MIDDLEWARE_BASE</name>
        <initializer>(0x0200U)</initializer>
        <briefdescription>
<para>Base module identifier for Middleware Libraries (0x0200 - 0x02FF) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="218" column="9" file="output/libs/core-lib/include/cy_result.h" line="218" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="define">
      <memberdef id="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e" kind="define" prot="public" static="no">
        <name>CY_RSLT_SUCCESS</name>
        <initializer>((<ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref>)0x00000000U)</initializer>
        <briefdescription>
<para><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref> return value indicating success </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="68" column="9" file="output/libs/core-lib/include/cy_result.h" line="68" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1" kind="typedef" prot="public" static="no">
        <type>uint32_t</type>
        <definition>typedef uint32_t cy_rslt_t</definition>
        <argsstring />
        <name>cy_rslt_t</name>
        <briefdescription>
<para>Provides the result of an operation as a structured bitfield. </para>        </briefdescription>
        <detaileddescription>
<para>See the <ref kindref="member" refid="group__group__result_1anchor_general_description">General Description</ref> for more details on structure and usage. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_result.h" bodystart="65" column="1" file="output/libs/core-lib/include/cy_result.h" line="65" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Basic function result handling. </para>    </briefdescription>
    <detaileddescription>
<para>Defines a simple type for conveying information about whether something succeeded or details about any issues that were detected.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="50"><highlight class="preprocessor">#if<sp />!defined(CY_RESULT_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_RESULT_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="57"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal" /></codeline>
<codeline lineno="65"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />uint32_t<sp /><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref>;</highlight></codeline>
<codeline lineno="66"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="preprocessor">#define<sp />CY_RSLT_SUCCESS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((cy_rslt_t)0x00000000U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="preprocessor">#define<sp />CY_BIT_MASK(x)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />((1UL<sp />&lt;&lt;<sp />(x))<sp />-<sp />1U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="preprocessor">#define<sp />CY_RSLT_TYPE_POSITION<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(16U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="preprocessor">#define<sp />CY_RSLT_TYPE_WIDTH<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(2U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_POSITION<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(18U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_WIDTH<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(14U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="preprocessor">#define<sp />CY_RSLT_CODE_POSITION<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="preprocessor">#define<sp />CY_RSLT_CODE_WIDTH<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(16U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="preprocessor">#define<sp />CY_RSLT_TYPE_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_BIT_MASK(CY_RSLT_TYPE_WIDTH)</highlight><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_BIT_MASK(CY_RSLT_MODULE_WIDTH)</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="preprocessor">#define<sp />CY_RSLT_CODE_MASK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_BIT_MASK(CY_RSLT_CODE_WIDTH)</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="preprocessor">#define<sp />CY_RSLT_GET_TYPE(x)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(((x)<sp />&gt;&gt;<sp />CY_RSLT_TYPE_POSITION)<sp />&amp;<sp />CY_RSLT_TYPE_MASK)</highlight><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="preprocessor">#define<sp />CY_RSLT_GET_MODULE(x)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(((x)<sp />&gt;&gt;<sp />CY_RSLT_MODULE_POSITION)<sp />&amp;<sp />CY_RSLT_MODULE_MASK)</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="preprocessor">#define<sp />CY_RSLT_GET_CODE(x)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(((x)<sp />&gt;&gt;<sp />CY_RSLT_CODE_POSITION)<sp />&amp;<sp />CY_RSLT_CODE_MASK)</highlight><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="preprocessor">#define<sp />CY_RSLT_CREATE(type,<sp />module,<sp />code)<sp />\</highlight></codeline>
<codeline lineno="127"><highlight class="preprocessor"><sp /><sp /><sp /><sp />((((module)<sp />&amp;<sp />CY_RSLT_MODULE_MASK)<sp />&lt;&lt;<sp />CY_RSLT_MODULE_POSITION)<sp />|<sp />\</highlight></codeline>
<codeline lineno="128"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(((code)<sp />&amp;<sp />CY_RSLT_CODE_MASK)<sp />&lt;&lt;<sp />CY_RSLT_CODE_POSITION)<sp />|<sp />\</highlight></codeline>
<codeline lineno="129"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(((type)<sp />&amp;<sp />CY_RSLT_TYPE_MASK)<sp />&lt;&lt;<sp />CY_RSLT_TYPE_POSITION))</highlight><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="preprocessor">#define<sp />CY_RSLT_TYPE_INFO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="preprocessor">#define<sp />CY_RSLT_TYPE_WARNING<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="preprocessor">#define<sp />CY_RSLT_TYPE_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(2U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="preprocessor">#define<sp />CY_RSLT_TYPE_FATAL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(3U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="comment">/****<sp />DRIVER<sp />Module<sp />codes:<sp />0x0000<sp />-<sp />0x00FF<sp />****/</highlight></codeline>
<codeline lineno="161"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_DRIVERS_PDL_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0000U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_DRIVERS_WHD_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0080U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_ABSTRACTION_HAL_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0100U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_ABSTRACTION_HAL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0100U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_ABSTRACTION_BSP<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0180U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_ABSTRACTION_FS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0181U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_ABSTRACTION_RESOURCE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0182U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal" /></codeline>
<codeline lineno="176"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_ABSTRACTION_OS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0183U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_ABSTRACTION_ENV<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0184U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="179"><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_LIB_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01A0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_LIB_RETARGET_IO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x1A0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="184"><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_LIB_RGB_LED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01A1U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_LIB_SERIAL_FLASH<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01A2U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_LIB_WHD_INTEGRATION<sp /><sp /><sp /><sp />(0x01A3U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_SHIELD_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01B8U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="193"><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_SHIELD_028_EPD<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01B8U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_SHIELD_028_TFT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01B9U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_SHIELD_032<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01BAU)</highlight><highlight class="normal" /></codeline>
<codeline lineno="199"><highlight class="normal" /></codeline>
<codeline lineno="201"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_HARDWARE_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01C0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="202"><highlight class="normal" /></codeline>
<codeline lineno="203"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_HARDWARE_BMI160<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01C0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal" /></codeline>
<codeline lineno="205"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_HARDWARE_E2271CS021<sp /><sp /><sp /><sp />(0x01C1U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_HARDWARE_THERMISTOR<sp /><sp /><sp /><sp />(0x01C2U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="208"><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_HARDWARE_SSD1306<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01C3U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="210"><highlight class="normal" /></codeline>
<codeline lineno="211"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_HARDWARE_ST7789V<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01C4U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="212"><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_HARDWARE_LIGHT_SENSOR<sp /><sp />(0x01C5U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="214"><highlight class="normal" /></codeline>
<codeline lineno="215"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_BOARD_HARDWARE_AK4954A<sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x01C6U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="normal" /></codeline>
<codeline lineno="218"><highlight class="preprocessor">#define<sp />CY_RSLT_MODULE_MIDDLEWARE_BASE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0x0200U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="219"><highlight class="normal" /></codeline>
<codeline lineno="222"><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="223"><highlight class="normal">}</highlight></codeline>
<codeline lineno="224"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal" /></codeline>
<codeline lineno="226"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_RESULT_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="227"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/core-lib/include/cy_result.h" />
  </compounddef>
</doxygen>